Skip to main content
`Ctrl`+`K`

# PetscReturnErrorHandler

Error handler that causes a return without printing an error message.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscReturnErrorHandler(MPI_Comm comm, int line, const char *fun, const char *file, PetscErrorCode n, PetscErrorType p, const char *mess, void *ctx)

Not Collective, No Fortran Support

## Input Parameters

- comm - communicator over which error occurred

- line - the line number of the error (usually indicated by `__LINE__` in the calling routine)

- fun - the function name

- file - the file in which the error was detected (usually indicated by `__FILE__` in the calling routine)

- mess - an error text string, usually just printed to the screen

- n - the generic error number

- p - `PETSC_ERROR_INITIAL` indicates this is the first time the error handler is being called while `PETSC_ERROR_REPEAT` indicates it was previously called

- ctx - error handler context

## Notes

Users do not directly employ this routine

Use `PetscPushErrorHandler()` to set the desired error handler. The currently available PETSc error handlers include `PetscTraceBackErrorHandler()`, `PetscAttachDebuggerErrorHandler()`, and `PetscAbortErrorHandler()`.

## See Also

`PetscPushErrorHandler()`, `PetscPopErrorHandler()`, `PetscError()`, `PetscAbortErrorHandler()`, `PetscMPIAbortErrorHandler()`, `PetscTraceBackErrorHandler()`, `PetscAttachDebuggerErrorHandler()`, `PetscEmacsClientErrorHandler()`, `PetscErrorType`, `PETSC_ERROR_INITIAL`, `PETSC_ERROR_REPEAT`, `PetscErrorCode`

## Level

developer

## Location

src/sys/error/err.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages